| Version: 3.2.5

Public Member Functions | List of all members
wxStringClientData Class Reference
Class List by Category » Containers

`#include <wx/clntdata.h>`

Inheritance diagram for wxStringClientData:
[legend]

## Detailed Description

Predefined client data class for holding a string.

##

Library: wxBase
Category: Containers

## Public Member Functions

| wxStringClientData ()
| Default constructor. More...
| wxStringClientData (const wxString &data)
| Create client data with string. More...
const wxString & | GetData () const
| Get string client data. More...
void | SetData (const wxString &data)
| Set string client data. More...
Public Member Functions inherited from wxClientData
| wxClientData ()
| Constructor. More...
virtual | ~wxClientData ()
| Virtual destructor. More...

## Constructor & Destructor Documentation

## ◆ wxStringClientData() [1/2]

wxStringClientData::wxStringClientData | ( |  | ) |

Default constructor.

## ◆ wxStringClientData() [2/2]

wxStringClientData::wxStringClientData | ( | const wxString & | data | ) |

Create client data with string.

## Member Function Documentation

## ◆ GetData()

const wxString& wxStringClientData::GetData | ( |  | ) | const

Get string client data.

## ◆ SetData()

void wxStringClientData::SetData | ( | const wxString & | data | ) |

Set string client data.